""" just a bonus package to verify the main package"""
from loguru import logger

def Reverse(str):
    stringlength=len(str)
    slicedString=str[stringlength::-1]
    return (slicedString)    

def DecodePLMN(plmn):

    
    if "f" in plmn:
        mcc = Reverse(plmn[0:2]) + Reverse(plmn[2:4]).replace('f', '')
        mnc = Reverse(plmn[4:6])
    else:
        mcc = Reverse(plmn[0:2]) + Reverse(plmn[2:4][1])
        mnc = Reverse(plmn[4:6]) + str(Reverse(plmn[2:4][0]))
    logger.debug(f"Decoded {plmn} to {mcc} {mnc}")
    return mcc, mnc

def EncodeMCCMNC(mcc, mnc):
        plmn = list('XXXXXX')
        if len(mnc) not in (2, 3):
            raise ValueError('length of MNC is not either 2 or 3')
            
        if len(mnc) == 2:
            plmn[0] = Reverse(mcc)[1]
            plmn[1] = Reverse(mcc)[2]
            plmn[2] = "f"
            plmn[3] = Reverse(mcc)[0]
            plmn[4] = Reverse(mnc)[0]
            plmn[5] = Reverse(mnc)[1]
            plmn_list = plmn
            plmn = ''
        else:
            plmn[0] = Reverse(mcc)[1]
            plmn[1] = Reverse(mcc)[2]
            plmn[2] = Reverse(mnc)[0]
            plmn[3] = Reverse(mcc)[0]
            plmn[4] = Reverse(mnc)[1]
            plmn[5] = Reverse(mnc)[2]
            plmn_list = plmn
            plmn = ''
        for bits in plmn_list:
            plmn = plmn + bits
        logger.debug(f"Encoded {mcc} {mnc} to Reserve {Reverse(mcc)} {Reverse(mnc)} to {plmn}")
        return plmn